import {select, arc} from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
	.attr('transform',`translate(${width/2},${height/2})`)

const circle = g.append('circle')
  .attr('r',height/2)
  .attr('fill','yellow')
  .attr('stroke','black');

const eyeSpacing = 90;
const eyeYOffset = -90;
const eyeRadius = 30;

const eyesG = g.append('g')
	.attr('transform',`translate(0,${eyeYOffset})`);

const leftEye = eyesG.append('circle')
  .attr('r',eyeRadius)
  .attr('cx',  - eyeSpacing);

const rightEye = eyesG.append('circle')
  .attr('r',eyeRadius)
  .attr('cx',  + eyeSpacing);

const mouth = g.append('path')
	.attr('d', arc()({
  	innerRadius: 150,
    outerRadius: 175,
    startAngle: Math.PI/1.9,
    endAngle: Math.PI * 2.9/2
  }));

const tongue = g.append('path')
	.attr('d', arc()({
    color: "blue",
  	innerRadius: 76,
    outerRadius: 90,
    startAngle: Math.PI/3,
    endAngle: Math.PI * 3/2 - .5
  }))
	.attr('transform','translate(60,120)');